﻿using DLIS.Utilities;
using KML.Utilities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace KML
{
    public partial class DisplayKml : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-122.0874, 37.4245, -122.0804, 37.4201);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                WorldMapKitWmsWebOverlay worldMapKitOverlay = new WorldMapKitWmsWebOverlay();
                Map1.CustomOverlays.Add(worldMapKitOverlay);

                KmlFeatureLayer layer = new KmlFeatureLayer(MapPath("~/App_Data/VMP_16_07.kml"));
                layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
  
                layer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = new AreaStyle(new GeoPen(GeoColor.SimpleColors.Black), new GeoSolidBrush(GeoColor.SimpleColors.Yellow));
                layer.ZoomLevelSet.ZoomLevel01.DefaultLineStyle = new LineStyle(new GeoPen(GeoColor.SimpleColors.Blue, 5));
                layer.ZoomLevelSet.ZoomLevel01.DefaultPointStyle = new PointStyle(PointSymbolType.Circle, new GeoSolidBrush(GeoColor.SimpleColors.Green), 10);

                //Proj4Projection proj4 = new Proj4Projection();
                //proj4.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(32643);//4326
                //proj4.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
                //proj4.Open();
                //layer.FeatureSource.Projection = proj4;

                LayerOverlay dynamicOverlay = new LayerOverlay("DynamicOverlay");
                dynamicOverlay.IsBaseOverlay = true;

                dynamicOverlay.Layers.Add("KmlLayer", layer);
                Map1.CustomOverlays.Add(dynamicOverlay);
                layer.Open();
                Map1.CurrentExtent = layer.GetBoundingBox();

            }
        }
    }
}
